<template>
    <Modal
        :show="show"
        hide-header
        hide-footer
        size="small"
        title="Plan confirmation"
        content-class="modal_confirm"
        :close-button="{
            width: '16px',
            height: '16px',
            src: '/images/close-gray.svg',
        }"
        @close="close"
    >
        <span
            class="desc"
        >Are you sure you want to use the Free plan? Generate more revenue with the Beginner plan</span>
        <div class="actions">
            <b-button
                variant="primary"
                class="btn btn_confirm"
                :class="{ 'loading-xs': loading.confirm }"
                @click="$emit('confirm'), loading.confirm = true"
            >
                {{ !loading.confirm ? 'Use Beginner plan for 4.99$' : '' }}
            </b-button>
            <b-button
                variant="
                outline"
                class="btn btn_cancel"
                :class="{ 'loading-xs': loading.cancel }"
                @click="$emit('cancel'), loading.cancel = true"
            >
                {{ !loading.cancel ? 'Continue with the Free plan' : '' }}
            </b-button>
        </div>
    </Modal>
</template>

<script>
import Modal from "@/components/elements/Modal";

export default {
  components: {
    Modal,
  },
  props: ["show"],
  data() {
    return {
      loading: {
        cancel: false,
        confirm: false,
      }
    }
  },
  methods: {
    close() {
      this.$emit("close");
    },
  },
};
</script>

<style scoped lang="scss">
.desc {
  font-size: 14px;
  line-height: 150%;
  width: 100%;
  text-align: center;
  color: #7a7a7a;
}
.actions {
  margin-top: 19px;
}
.btn {
  width: 210px;
  height: 36px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 500;
  &_cancel {
    font-size: 14px;
    line-height: 16px;

    color: #4786ff;
  }
}
</style>

<style lang="scss">
.modal_confirm {
  width: 328px;
  left: 50%;
  transform: translateX(-50%);
  .modal-popup-header {
    border: none;
  }
  .popup-header-text {
    padding-top: 14px;
    font-weight: 500!important;
    font-size: 20px;
    line-height: 23px;
    font-weight: 500;
  }
  .modal-popup-body {
    padding: 2px 16px 16px;
  }
}
</style>